com.opensymphony.xwork2.util.logging.slf4j

## Class Slf4jLogger

- java.lang.Object
- - com.opensymphony.xwork2.util.logging.slf4j.Slf4jLogger

- All Implemented Interfaces:
    Logger

  Deprecated.
  since 2.5

      @Deprecated
      public class Slf4jLogger
      extends Object
      implements Logger

  Simple logger that delegates to slf4j logging

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slf4jLogger(org.slf4j.Logger log)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg, Object... args)` Deprecated.
    `void` | `debug(String msg, String... args)` Deprecated.
    `void` | `debug(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `error(String msg, Object... args)` Deprecated.
    `void` | `error(String msg, String... args)` Deprecated.
    `void` | `error(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `fatal(String msg, String... args)` Deprecated.
    `void` | `fatal(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `info(String msg, String... args)` Deprecated.
    `void` | `info(String msg, Throwable ex, String... args)` Deprecated.
    `boolean` | `isDebugEnabled()` Deprecated.
    `boolean` | `isErrorEnabled()` Deprecated.
    `boolean` | `isFatalEnabled()` Deprecated. Fatal is not support by Slf4j
    `boolean` | `isInfoEnabled()` Deprecated.
    `boolean` | `isTraceEnabled()` Deprecated.
    `boolean` | `isWarnEnabled()` Deprecated.
    `void` | `trace(String msg, Object... args)` Deprecated.
    `void` | `trace(String msg, String... args)` Deprecated.
    `void` | `trace(String msg, Throwable ex, String... args)` Deprecated.
    `void` | `warn(String msg, Object... args)` Deprecated.
    `void` | `warn(String msg, String... args)` Deprecated.
    `void` | `warn(String msg, Throwable ex, String... args)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Slf4jLogger

          public Slf4jLogger(org.slf4j.Logger log)

      Deprecated.

  - ### Method Detail

    - #### error

          public void error(String msg,
                            String... args)

      Deprecated.
      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(String msg,
                            Object... args)

      Deprecated.
      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(String msg,
                            Throwable ex,
                            String... args)

      Deprecated.
      Specified by:
        `error` in interface `Logger`

    - #### info

          public void info(String msg,
                           String... args)

      Deprecated.
      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(String msg,
                           Throwable ex,
                           String... args)

      Deprecated.
      Specified by:
        `info` in interface `Logger`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Deprecated.
      Specified by:
        `isInfoEnabled` in interface `Logger`

    - #### warn

          public void warn(String msg,
                           String... args)

      Deprecated.
      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(String msg,
                           Object... args)

      Deprecated.
      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(String msg,
                           Throwable ex,
                           String... args)

      Deprecated.
      Specified by:
        `warn` in interface `Logger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Deprecated.
      Specified by:
        `isDebugEnabled` in interface `Logger`

    - #### debug

          public void debug(String msg,
                            String... args)

      Deprecated.
      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(String msg,
                            Object... args)

      Deprecated.
      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(String msg,
                            Throwable ex,
                            String... args)

      Deprecated.
      Specified by:
        `debug` in interface `Logger`

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Deprecated.
      Specified by:
        `isTraceEnabled` in interface `Logger`

    - #### trace

          public void trace(String msg,
                            String... args)

      Deprecated.
      Specified by:
        `trace` in interface `Logger`

    - #### trace

          public void trace(String msg,
                            Object... args)

      Deprecated.
      Specified by:
        `trace` in interface `Logger`

    - #### trace

          public void trace(String msg,
                            Throwable ex,
                            String... args)

      Deprecated.
      Specified by:
        `trace` in interface `Logger`

    - #### fatal

          public void fatal(String msg,
                            String... args)

      Deprecated.
      Specified by:
        `fatal` in interface `Logger`

    - #### fatal

          public void fatal(String msg,
                            Throwable ex,
                            String... args)

      Deprecated.
      Specified by:
        `fatal` in interface `Logger`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Deprecated.
      Specified by:
        `isErrorEnabled` in interface `Logger`

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Deprecated.
      Fatal is not support by Slf4j
      Specified by:
        `isFatalEnabled` in interface `Logger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Deprecated.
      Specified by:
        `isWarnEnabled` in interface `Logger`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.